<template>
  <LoadingLayout>
    <AppContainer>
      <ProTabs v-model="state.tabType" hasBorder>
        <ProTabPane lazy label="企业基本信息" name="enterpriseBasicInfo">
          <EnterpriseBasicInfoView></EnterpriseBasicInfoView>
        </ProTabPane>
        <ProTabPane lazy label="企业申报记录" name="enterpriseDeclareRecord">
          <EnterpriseDeclareRecordView></EnterpriseDeclareRecordView>
        </ProTabPane>
        <ProTabPane lazy label="发放记录" name="rewardGrantRecord">
          <RewardGrantRecordView></RewardGrantRecordView>
        </ProTabPane>
        <ProTabPane lazy label="消费记录" name="rewardConsumeRecord">
          <RewardConsumeRecordView></RewardConsumeRecordView>
        </ProTabPane>
        <ProTabPane lazy label="提现记录" name="rewardConsumeRecord">
          <WithdrawalRecordView></WithdrawalRecordView>
        </ProTabPane>
      </ProTabs>
    </AppContainer>
  </LoadingLayout>
</template>

<script setup lang="ts">
import { AppContainer, ProTabs, ProTabPane } from '@bole-core/components';
import EnterpriseBasicInfoView from './components/EnterpriseBasicInfoView.vue';
import EnterpriseDeclareRecordView from './components/EnterpriseDeclareRecordView.vue';
import RewardGrantRecordView from './components/RewardGrantRecordView.vue';
import RewardConsumeRecordView from './components/RewardConsumeRecordView.vue';
import WithdrawalRecordView from './components/WithdrawalRecordView.vue';

defineOptions({
  name: 'EnterpriseInfoDetail',
});

const state = reactive({
  loading: true,
  tabType: 'enterpriseBasicInfo',
});
</script>

<style lang="scss" scoped>
@use '@/style/common.scss' as *;
</style>
